Execute conversation-quality evaluator
curl --request POST \
--url https://api.traceloop.com/v2/evaluators/conversation-quality/execute \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"input": {
"completions": "[\"Hi! I'd be happy to assist you today.\", \"We offer consulting, development, and support services.\"]",
"prompts": "[\"Hello, how can I help?\", \"What services do you offer?\"]"
}
}
EOFimport requests
url = "https://api.traceloop.com/v2/evaluators/conversation-quality/execute"
payload = { "input": {
"completions": "[\"Hi! I'd be happy to assist you today.\", \"We offer consulting, development, and support services.\"]",
"prompts": "[\"Hello, how can I help?\", \"What services do you offer?\"]"
} }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
input: {
completions: '["Hi! I\'d be happy to assist you today.", "We offer consulting, development, and support services."]',
prompts: '["Hello, how can I help?", "What services do you offer?"]'
}
})
};
fetch('https://api.traceloop.com/v2/evaluators/conversation-quality/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversation_quality_score": 0.82
}{
"error": "error message"
}{
"error": "error message"
}Evaluators
Execute conversation-quality evaluator
Evaluate conversation quality based on tone, clarity, flow, responsiveness, and transparency
Request Body:
input.prompts(string, required): JSON array of prompts in the conversationinput.completions(string, required): JSON array of completions in the conversation
POST
/
v2
/
evaluators
/
conversation-quality
/
execute
Execute conversation-quality evaluator
Was this page helpful?
⌘I

